Loading...
Searching...
No Matches
Ogre::PageStrategyData Class Referenceabstract
Optional Components » Paging

Abstract marker class representing the data held against the PagedWorldSection which is specifically used by the PageStrategy. More...

`#include <OgrePageStrategy.h>`

Inheritance diagram for Ogre::PageStrategyData:
[legend]

## Public Member Functions

| PageStrategyData ()
virtual | ~PageStrategyData ()
virtual bool | load (StreamSerialiser &stream)=0
| Load this data from a stream (returns true if successful).
virtual void | save (StreamSerialiser &stream)=0
| Save this data to a stream.

## Detailed Description

Abstract marker class representing the data held against the PagedWorldSection which is specifically used by the PageStrategy.

The documentation for this class was generated from the following file:

- OgrePageStrategy.h